Status: Closed Start date: Jun 01, 2020

Priority: Normal Due date:  

Assignee: Federico Volpini % Done: 100%

Category:    

Target version: ISTI Open Portal Tasks   

Description

The method, when invoked, will return the number of publications by type of the last 15 years - the ongoing year is always excluded. 

Related issues:

Related to ISTI Open Access - Feature #16846: Access to SOLR from Volpini's m... Closed Jun 03, 2019

History

#1 - Jun 03, 2020 09:31 AM - Anonymous

@leonardo.candela@isti.cnr.it 

What do you intend with figure, an image?

Otherwise the totals can be obtained through the SOLR API:

curl "https://backend-openportal.isti.cnr.it/solr/PMF_index_isti_shard1_replica1/select?q=date%3A%5B2005+TO+20

20%5D&rows=0&wt=json&indent=true&facet=true&facet.field=date&facet.mincount=1&facet.sort=index"

#2 - Jun 03, 2020 12:35 PM - Leonardo Candela

We need to make available a method that returns a JSON that for every year contains a list of pairs "publication type, number of publications".  

This method is expected to be used by the forthcoming ISTI website. 

Dunno whether the SOLR API are "open" to every client, to me the only client expected to use them should be OpenPortal ... anyway if opening

SOLR API to everyone is not harmful we can proceed as you prefer. 

#3 - Jun 03, 2020 02:08 PM - Michele Artini

The Solr Index Service is not OPEN to every client, but it was configured to be accessible from OpenPortal server, my ip address and some Volpini's

machines.

Some months ago I sent to Federico a mail with some preconfigured queries. 

I think that a beta version of the ISTI website already performs some queries to the Solr Index. 

#4 - Jun 04, 2020 01:56 PM - Leonardo Candela

- Status changed from New to In Progress

- Assignee changed from Michele Artini to Federico Volpini

- % Done changed from 0 to 90

@federico.volpini@isti.cnr.it please confirm whether the SOLR API call suggested by @michele.artini@isti.cnr.it is suitable or not.  

#5 - Jun 25, 2020 10:46 AM - Anonymous

Hi,

we tried to use the curl command from the machine that hosts the new website (ut6.isti.cnr.it - ip:146.48.80.156) and this is the response:

curl: (7) couldn't connect to host

Giuseppe also tried with my ip address (146.48.84.238) and this is another response:

[1] 12409

[2] 12410

[3] 12411
[4] 12412

[5] 12413

[6] 12414

[7] 12415

curl: (7) Failed to connect to backend-openportal.isti.cnr.it port 443: Nessun instradamento per l'host

facet.sort=index: comando non trovato

facet.mincount=1: comando non trovato

facet.field=date: comando non trovato

[2] Completato rows=0

[3] Completato wt=json

[2] Completato rows=0

[3] Completato wt=json

[4] Completato indent=true

[5] Completato facet=true

[1] Uscita 7 curl https://backend-openportal.isti.cnr.it/solr/PMF_index_isti_shard1_replica1/select?q=date%3A%5B2005+TO+2020%5D

[2] Completato rows=0

[3] Completato wt=json

[4] Completato indent=true

[5] Completato facet=true

[6]- Uscita 127 facet.field=date

[7]+ Uscita 127 facet.mincount=1

#6 - Jun 25, 2020 11:01 AM - Michele Artini

@andrea.dellamico@isti.cnr.it Can you verify which addresses can access backend-openportal.isti.cnr.it via HTTPS ?

#7 - Jun 25, 2020 12:02 PM - Andrea Dell'Amico

Access is limited to the web portal, and your desktop IP address (that one should be removed).

I'm going to allow the two IP aaddresses listed in #19414#note-5

#8 - Jun 25, 2020 12:04 PM - Anonymous

To me you can limit the access only to ut6 (146.48.80.156).

Thanks :)

#9 - Jun 25, 2020 12:11 PM - Andrea Dell'Amico

OK, I remembered that we had this kind of discussion in the past, here: #16846. I suppose you changed your mind?

#10 - Jun 25, 2020 12:11 PM - Andrea Dell'Amico

- Related to Feature #16846: Access to SOLR from Volpini's machines added

#11 - Jun 25, 2020 12:28 PM - Andrea Dell'Amico

Anonymous wrote:

To me you can limit the access only to ut6 (146.48.80.156).

 Done.

#12 - Jun 25, 2020 12:35 PM - Anonymous

Tested from ut6, now it works. 

Just one question: the now we have the result of all publications per year.

Is it possible to have the number of publications by typology per year?

Thank you very much in advance

output:

{

"responseHeader":{

"status":0,

"QTime":54,

"params":{

"q":"date:[2005 TO 2020]",

"facet.field":"date",

"indent":"true",

"facet.mincount":"1",

"rows":"0",
"wt":"json",

"facet":"true",

"facet.sort":"index"}},

"response":{"numFound":7597,"start":0,"docs":[]

},

"facet_counts":{

"facet_queries":{},

"facet_fields":{

"date":[

"2005",441,

"2006",514,

"2007",649,

"2008",494,

"2009",454,

"2010",488,

"2011",490,

"2012",441,

"2013",570,

"2014",594,

"2015",570,

"2016",546,

"2017",439,

"2018",399,

"2019",434,

"2020",74]},

"facet_dates":{},

"facet_ranges":{},

"facet_intervals":{},

"facet_heatmaps":{}}}

#13 - Jun 25, 2020 12:47 PM - Michele Artini

It is possible using the SOLR facet API, in particular using the facet.pivot parameter. 

for example:

curl "https://backend-openportal.isti.cnr.it/solr/PMF_index_isti_shard1_replica1/select?q=date%3A%5B2005+TO+20

20%5D&rows=0&wt=json&indent=true&facet=true&facet.pivot=date,type&facet.mincount=1&facet.sort=index"

#14 - Jul 07, 2020 10:45 AM - Anonymous

Hi, thanks for all.

You can see the result here: https://ut6.isti.cnr.it/sitoisti/en/research/publications

Just another question, if possible.

In agreement with the Director, we'd like to insert another tab, containing this graph: https://openportal.isti.cnr.it/statistics/year-rights

It's possible, using the same SOLR service, to have access to the raw data?

Thanks in advice

#15 - Jul 07, 2020 10:53 AM - Anonymous

You can use a similar query, in particular replacing 

facet.pivot=date,type

 with

facet.pivot=date,rights

 The complete url is: 

https://backend-openportal.isti.cnr.it/solr/PMF_index_isti_shard1_replica1/select?q=date%3A%5B2005+TO+2020%5D&rows=0&wt=json&indent=true

&facet=true&facet.pivot=date,rights&facet.mincount=1&facet.sort=index

#16 - Oct 07, 2020 05:58 PM - Leonardo Candela

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

I would say that this task is complete.
